#include <iostream>

using namespace std;

int main()
{
    int N, L, c=-1;
    cin>>N;
    cin>>L;
    int H[N];
    for(int i=0;i<N;i++){
        cin>>H[i];
    }
    for(int i=0;i<N;i++){
        if((H[i]<L) || (H[i]==L)){
            c=i+1;
            break;
        }
    }
    cout<<c<<endl;
    return 0;
}